Skip to content
Permalink
Browse files
Release 1.2.0rc3 (#1414)
* Bump version to 1.2.0rc3

* Update changelog with more entries and known issues

* Update package-lock
  • Loading branch information
benjaoming committed Jan 18, 2023
1 parent 5e80b2b commit 6444ca893043d8a0ca704474f7cf7d5a148f6767
Show file tree
Hide file tree
Showing 6 changed files with 50 additions and 32 deletions.
@@ -7,26 +7,41 @@ Changelog
Development version (|development_version|)
===========================================

.. |development_version| replace:: 1.2.0rc2
.. |development_version| replace:: 1.2.0rc3

Dependency changes
------------------

* docutils 0.18 is supported. (#1381)
* Sphinx 6 support added (#1385)
* Sphinx 6 support added
* Added ``sphinxcontrib-jquery`` as a dependency (#1385)
* Python 3.11 is officially supported and tested. (#1395)
* Python 3.4 and 3.5 are officially not supported (#1395)


Note for users of Sphinx<3
Changes
-------

* Automatically use ``sphinxcontrib-jquery`` in Sphinx 6+ (#1399)
* Use new context vars ``logo_url``, ``favicon_url`` and ``root_doc`` when available (#1405)

Note for users of Sphinx<4
--------------------------

If you cannot use a more recent Sphinx release,
you should at least ensure you are using the most recent release for your major version.
Currently, these are Sphinx `1.8.6` and `2.4.5`.
Older releases may install unsupported versions of several dependencies, including Jinja2 and docutils.

Known issues
------------

In some cases, jQuery is not loaded with Sphinx 6 on Read the Docs.
Workaround: You need to add ``sphinx_rtd_theme`` to ``extensions`` in your ``conf.py``.
See `readthedocs.org issue #9654`_ for updates.

.. _readthedocs.org issue #9654: https://github.com/readthedocs/readthedocs.org/pull/9654

.. _release-1.1.1:

1.1.1

Some generated files are not rendered by default. Learn more about how customized files appear on GitHub.

@@ -1,7 +1,7 @@
{
"name": "sphinx_rtd_theme",
"main": "js/theme.js",
"version": "1.2.0rc2",
"version": "1.2.0rc3",
"scripts": {
"dev": "webpack-dev-server --open --config webpack.dev.js",
"build": "webpack --config webpack.prod.js",
@@ -1,5 +1,5 @@
[bumpversion]
current_version = 1.2.0rc2
current_version = 1.2.0rc3
commit = false
tag = false
parse = (?P<major>\d+)\.(?P<minor>\d+)\.(?P<patch>\d+)((?P<release>[a-z]+)(?P<dev>\d+))?
@@ -86,7 +86,7 @@ def run(self):


setup(
version='1.2.0rc2',
version='1.2.0rc3',
cmdclass={
'update_translations': UpdateTranslationsCommand,
'transifex': TransifexCommand,
@@ -12,7 +12,7 @@
from sphinx.util.logging import getLogger


__version__ = '1.2.0rc2'
__version__ = '1.2.0rc3'
__version_full__ = __version__

logger = getLogger(__name__)

0 comments on commit 6444ca8

Please sign in to comment.